/*  align  */
.text-align-left { text-align: left; }
.text-align-center { text-align: center; margin-left: auto; margin-right: auto; }
.text-align-right { text-align: right; }
.text-align-justify { text-align: justify; }

/*  columns  */
:is(.text-columns-two, .text-columns-three, .text-columns-four) { column-gap: var(--columns-gutter-x); }
.text-columns-two { column-count: 2; }
.text-columns-three { column-count: 3; }
.text-columns-four { column-count: 4; }

:is(main, .container):has(> p) { container-type: inline-size; container-name: text; }
@container text (max-width: 48rem) {
    .text-columns-three { column-count: 1; }
    .text-columns-four { column-count: 2; }
}
@container text (max-width: 32rem) {
    .text-columns-two, .text-columns-three, .text-columns-four { column-count: 1; }
}

/*  transform  */
.text-transform-lowercase {text-transform: lowercase; }
.text-transform-uppercase {text-transform: uppercase; }
.text-transform-capitalize {text-transform: capitalize; }
.text-transform-capitalize-first:first-letter {

    display: inline-block;
    float: left;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 3.25em;
    vertical-align: bottom;
    margin: .125em .125em 0 0;
}